DROP PROCEDURE ActualizaFechasdeProcesoProc
GO
CREATE PROCEDURE ActualizaFechasdeProcesoProc
(	@FECHAVENTAS	UD_FECHA,
	@FECHAINVENT	UD_FECHA,
	@TURNO		INT
)
AS
BEGIN

	BEGIN TRAN

	UPDATE 	OP_SETUP
	SET	DATEPROCESALES=@FECHAVENTAS

	IF(@@ERROR!=0 OR @@ROWCOUNT=0)
	BEGIN
		ROLLBACK	
		RAISERROR 20000 'Error Actualizando Fecha de Proceso de Ventas'
		RETURN(1)
	END 

	UPDATE 	SETUP
	SET	DATEPROCE=@FECHAINVENT,
		SALESPERSONTURN=@TURNO

	IF(@@ERROR!=0 OR @@ROWCOUNT=0)
	BEGIN
		ROLLBACK	
		RAISERROR 20000 'Error Actualizando Fecha de Proceso de Inventario'
		RETURN(1)
	END 


	COMMIT TRAN
	RETURN(0)

END 



